Stream the tenant-authorized source invoice document inline (ANALYST+)
GET
/invoices/{invoiceId}/document
const url = 'https://api.invogi.com/v1/invoices/example/document';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/invoices/example/document \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”invoiceId
required
string
Responses
Section titled “Responses”Original PDF, image, or XML source document
string format: binary
string format: binary
string format: binary
string format: binary
string format: binary
string format: binary
Headers
Section titled “Headers”Content-Disposition
string
X-Content-Type-Options
string
Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Requested byte range is outside the source document